## Kommandozeilen Argumente

Wenn Sie Password Safe ohne Argumente aufrufen, wird die Anwendung nach dem Master-Passwort der zuletzt geöffneten Datenbank fragen, oder nach dem Master-Passwort für eine neue Datenbank, wenn vorher noch keine auf Ihrem Computer eröffnet wurde (z.B. bei der erstmaligen Anwendung von Password Safe). Es ist aber auch möglich dies durch Aufrufen von Password Safe wie folgt abzuändern:

- pwsafe Datenbank
  Dies wird die angegebene Datenbank öffnen, anstelle der zuletzt geöffneten. Wenn nur ein Dateiname ohne Pfad angegeben ist, wird in dem Verzeichnis gesucht, aus welchem die Anwendung aufgerufen wurde. Wenn im Dateinamen und/oder der Pfad Leerzeichen vorkommen, sollte es mit Gänsefüßchen eingeschlossen sein.
- pwsafe -r Datenbank
  Dies wird die angegebene Datenbank in NUR-Lese Modus öffnen.
- pwsafe -v Datenbank
  Nachdem das richtige Master-Passwort eingegeben wurde, wird die Datenbank überprüft. Hierbei werden eventuell vorhandene interne Inkonsistenzen ausgebessert. Dies ist nützlich, wenn Datenbanken verwendet werden die von anderen Anwendungen erzeugt wurden.
- pwsafe -e Dateiname
  Hierbei wird der Benutzer aufgefordert, eine Passphrase (ein Kennwort bestehend aus mehreren Wörtern) einzugeben. Die Datei wird anschließend mit einem Schlüssel, der von der Passphrase abgeleitet wurde, verschlüsselt. Bemerkung: Die Datei kann jede Art von Datei sein. Die verschlüsselte Datei hat denselben Dateinamen, mit der angehängten Erweiterung ".PSF".
- pwsafe -d Dateiname
  Hierbei wird der Benutzer aufgefordert eine Passphrase (ein Kennwort bestehend aus mehreren Wörtern) einzugeben. Die Datei wird anschließend entschlüsselt mit einem Schlüssel der von der Passphase abgeleitet ist. Bemerkung: Dies wird nur funktionieren mit Dateien die vorher mit pwsafe und dem Argument '-e' aufgerufen wurden (siehe oben).
- pwsafe -c
  Dies wird die Anwendung starten, ohne dass eine Datenbank geöffnet wird. Auch der anfängliche Eröffnungsdialog wird nicht ausgeführt. (Um eine Datenbank zu eröffnen, gehe zum Menü Datei).
- pwsafe -s [Datenbank]
  Dies wird die Anwendung "leise" (silent) starten, d.h. minimiert und ohne Datenbank. Wenn die Datenbank aus der Minimierung rausgeholt wird, erscheint der Eröffnungdialog. (Diese Option wird eingesetzt, um die Anwendung bei der Benutzeranmeldung zu starten mit einer Verknüpfung im Startverzeichnis). Bemerkung: Dies stellt die Anwendung implizit in die Systemleiste.
- pwsafe -m
  Dies ist dasselbe wie '-c'. Außerdem wird die Anwendung minimiert gestartet.

Zusätzlich werden folgende Argumente akzeptiert:
Diese Argumente könnten nützlich sein, wenn Sie dieselben Einstellungen über mehrere Maschinen gemeinsam benutzen möchten, z.B. wenn Sie Password Safe aus einer disk-on-key betreiben.

- -u Benutzername
  Hiermit kann die Anwendung angehalten werden, das Lesen und Schreiben der Einstellungen unter dem angegebenen Benutzername zu machen, anstatt es unter dem Anmeldenamen zu tun.
- -h Rechnername
  Hiermit kann die Anwendung angehalten werden, das Lesen und Schreiben der Einstellungen auf dem angegebenen Rechnernamen zu machen, anstatt es unter dem Maschinennamen zu tun.
- -g konfig_datei
  Hiermit kann die Anwendung angehalten werden, die angegebene Datei für das Laden und Abspeichern der Einstellungen zu verwenden, anstatt der standardmäßige pwsafe.cfg. Wenn nur eine Dateiname ohne Pfad angegeben ist, wird in dem Verzeichnis gesucht, aus welchem die Anwendung aufgerufen wurde. Wenn im Dateinamen und/oder der Pfad Leerzeichen vorkommen, sollte es in Gänsefüßchen eingeschlossen sein.

Zu guter letzt, sind da noch ein paar spezielle Kommandozeilen 4flags die mit "--" beginnen. Dies sind:

- --novalidate
  Dies verhindert dass Password Safe automatisch Datenbanken validiert beim Eröffnen. Einige Sachen müssen aber immer validiert werden, z.B. Eindeutichkeit der ID der Einträge und der Kombination Gruppe / Titel / Benutzername.
- --testdump
  Dies erlaubt es Testern bei der Erstellung eines Mini-Dump, wenn Password Safe ein Problem hat, um die Entwickler bei der Lösung zu helfen.
- --cetreeview
  Dieses neue Merkmal erlaubt es zwei Einträge auszuwählen und zu vergleichen im Bearbeiten Menü oder durch ein Rechtsklick auf einem Eintrag. Die Auswahl mehrere Einträge wird von Hause aus in der Listenansicht unterstützt, aber nicht in der Baumstruktur. Dieses Flag schaltet Vergleiche Eintrag frei, mit einem extra Dialog um den 'anderen' Eintrag auszuwählen. Die Unterstützung dieses Merkmales in der Baumstruktur wird noch entwickelt. Wenn es implementiert ist, wird dieses Flag ignoroert.